package com.hzya.frame.sys.templateView.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 模板视图表
 * @tableName:   sys_template_view
 * @entityName:  TemplateView
 * @author: 	 llg
 * @history:	 1.0
 */
public class  TemplateView  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 模版id */
	private String templateId;
	/** Service服务名 */
	private String serviceName;
	/** 模版字段表id */
	private String templateFieldsId;
	/** 类型(查询 列表 新增 编辑） */
	private String templateViewType;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** 模版id */
	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	/** 模版id */
	public String getTemplateId() {
		return templateId;
	}
	/** 模版字段表id */
	public void setTemplateFieldsId(String templateFieldsId) {
		this.templateFieldsId = templateFieldsId;
	}
	/** 模版字段表id */
	public String getTemplateFieldsId() {
		return templateFieldsId;
	}
	/** 类型(查询 列表 新增 编辑） */
	public void setTemplateViewType(String templateViewType) {
		this.templateViewType = templateViewType;
	}
	/** 类型(查询 列表 新增 编辑） */
	public String getTemplateViewType() {
		return templateViewType;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}



	public String getServiceName() {
		return serviceName;
	}

	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}


	public TemplateView() {
	}

	public TemplateView(String templateId, String templateFieldsId, String templateViewType, Long sorts,String serviceName) {
		this.templateId = templateId;
		this.templateFieldsId = templateFieldsId;
		this.templateViewType = templateViewType;
		this.serviceName = serviceName;
		this.sorts = sorts;
	}

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getSts() {
        return sts;
    }

    @Override
    public void setSts(String sts) {
        this.sts = sts;
    }

    @Override
    public String getSort() {
        return sort;
    }

    @Override
    public void setSort(String sort) {
        this.sort = sort;
    }

    @Override
    public String getOrder() {
        return order;
    }

    @Override
    public void setOrder(String order) {
        this.order = order;
    }


}
